PKGKDE-GENSYMBOLS(1)

NAME
pkgkde-gensymbols - a helper tool for Debian pkg-kde symbols files.

SYNOPSIS
pkgkde-gensymbols [

DESCRIPTION
pkgkde-gensymbols is a wrapper around dpkg-gensymbols that provides additional support for tracking C++ symbols such as template instantiated symbols. See dpkg-gensymbols(1) for more information about maintaining symbols files.

OPTIONS

-Ppackage-build-dir
    Scan package-build-dir instead of debian/tmp.

-ppackage
    Define the package name. Required if more than one binary package is listed in debian/control (or if there's no debian/control file).

-vversion
    Define the package version. Defaults to the version extracted from debian/changelog. Required if called outside of a source package tree.

-elibrary-file
    Only analyze libraries explicitly listed instead of finding all public libraries. You can use shell patterns used for pathname expansions (see the File::Glob(3perl) manual page for details) in library-file to match multiple libraries with a single argument (otherwise you need multiple -e).

-Ifilename
    Use filename as reference file to generate the symbols file that is integrated in the package itself.

-O[filename]
    Print the generated symbols file to standard output or to filename if specified, rather than to debian/tmp/DEBIAN/symbols (or package-build-dir/DEBIAN/symbols if -P was used). If filename is pre-existing, its contents are used as basis for the generated symbols file. You can use this feature to update a symbols file so that it matches a newer upstream version of your library.

-t  Write the symbol file in template mode rather than the format compatible with deb-symbols(5). The main difference is that in the template mode symbol names and tags are written in their original form contrary to the post-processed symbol names with tags stripped in the compatibility mode. Moreover, some symbols might be omitted when writing a standard deb-symbols(5) file (according to the tag processing rules) while all symbols are always written to the symbol file template.

-c[0-4]
    Define the checks to do when comparing the generated symbols file with the template file used as starting point. By default the level is 1. Increasing levels do more checks and include all checks of lower levels. Level 0 never fails. Level 1 fails if some symbols have disappeared. Level 2 fails if some new symbols have been introduced. Level 3 fails if some libraries have disappeared. Level 4 fails if some libraries have been introduced.

    This value can be overridden by the environment variable DPKG_GENSYMBOLS_CHECK_LEVEL.

-q  Keep quiet and never generate a diff between generated symbols file and the template file used as starting point or show any warnings about new/lost libraries or new/lost symbols. This option only disables informational output but not the checks themselves (see -c option).

-aarch
    Assume arch as host architecture when processing symbol files. Use this option to generate a symbol file or diff for any architecture provided its binaries are already available.

-d  Enable debug mode. Numerous messages are displayed to explain what dpkg-gensymbols does.

-V  Enable verbose mode. The generated symbols file contains deprecated symbols as comments. Furthermore in template mode, pattern symbols are followed by comments listing real symbols that have matched the pattern.

-?, --help
    Show the usage message and exit.

--version
    Show the version and exit.

NOTES
This man page was based on the pkg-kde symbols file help page and the dpkg-gensymbols(1) man page.

SEE ALSO
https://qt-kde-team.pages.debian.net/symbolfiles.html
https://people.redhat.com/drepper/symbol-versioning
https://people.redhat.com/drepper/goodpractice.pdf
https://people.redhat.com/drepper/dsohowto.pdf
dpkg-gensymbols(1), deb-symbols(5), dpkg-shlibdeps(1).